Overclock.net › Forums › Software, Programming and Coding › Operating Systems › Linux, Unix › Trying to update Ubuntu 11.10: Unable to locate package update. Help lpease :)
New Posts  All Forums:Forum Nav:

Trying to update Ubuntu 11.10: Unable to locate package update. Help lpease :)

post #1 of 3
Thread Starter 
I've tried updating Ubuntu 11.10 and get this message.



mike@Mike-Laptop:~$ sudo apt-get install update
[sudo] password for mike:
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package update
mike@Mike-Laptop:~$


I'm real n00bish so please speak slowly and clearly smile.gif

Thanks
My do-it-all rig
(17 items)
 
  
CPUMotherboardGraphicsGraphics
AMD K15 970A-D3P NVIDIA GeForce GTX 660  NVIDIA GeForce GTX 460 
RAMRAMHard DriveOptical Drive
Kingston  Kingston  Crucial M4 64Gb, 4x 1Tb, 1x 500Gb WD Caviar Black LG LiteScribe GH24 
OSMonitorKeyboardPower
Win 10 x64 LG E2350 23" 1920x1080 / Samsung 19.5" 1366x768 Razer Lycosa (Mirror Edition) Corsair HX850w 
CaseMouseMouse PadAudio
CoolerMaster 690 Razer Mamba 2012 Razer Goliath XL Logitech X-530 speakers 
Audio
Creative SupremeFX X-Fi sound card 
  hide details  
Reply
My do-it-all rig
(17 items)
 
  
CPUMotherboardGraphicsGraphics
AMD K15 970A-D3P NVIDIA GeForce GTX 660  NVIDIA GeForce GTX 460 
RAMRAMHard DriveOptical Drive
Kingston  Kingston  Crucial M4 64Gb, 4x 1Tb, 1x 500Gb WD Caviar Black LG LiteScribe GH24 
OSMonitorKeyboardPower
Win 10 x64 LG E2350 23" 1920x1080 / Samsung 19.5" 1366x768 Razer Lycosa (Mirror Edition) Corsair HX850w 
CaseMouseMouse PadAudio
CoolerMaster 690 Razer Mamba 2012 Razer Goliath XL Logitech X-530 speakers 
Audio
Creative SupremeFX X-Fi sound card 
  hide details  
Reply
post #2 of 3
i think you are trying to do this:

sudo apt-get update

^this will sync your package database with the latest package available.

sudo apt-get upgrade

^this will upgrade your installed packages to the latest available.
Bazinga Punk
(12 items)
 
ooh shiny!
(6 items)
 
 
CPUMotherboardGraphicsRAM
Intel Xeon 3440 AsRock P55 extreme Evga 8800 GT 512 MB Gskill Ripjaws 
Hard DriveCoolingOSMonitor
Western Digital Blue Antec Khuler 620 Ubuntu 11.10 Asus vw264H 
KeyboardPowerCaseMouse
GIGABYTE KM7600 CORSAIR TX 650 Cooler Master 590 GIGABYTE GM-M6800 
CPUMotherboardGraphicsRAM
Intel Core I5 6500 Gigabyte z170xp-SLI Nvidia 970gtx Corsair 16gb ddr4 2666mhz  
Hard DriveOS
250gb Samsung Evo 850 Windows 10 & Ubuntu 15.10 
  hide details  
Reply
Bazinga Punk
(12 items)
 
ooh shiny!
(6 items)
 
 
CPUMotherboardGraphicsRAM
Intel Xeon 3440 AsRock P55 extreme Evga 8800 GT 512 MB Gskill Ripjaws 
Hard DriveCoolingOSMonitor
Western Digital Blue Antec Khuler 620 Ubuntu 11.10 Asus vw264H 
KeyboardPowerCaseMouse
GIGABYTE KM7600 CORSAIR TX 650 Cooler Master 590 GIGABYTE GM-M6800 
CPUMotherboardGraphicsRAM
Intel Core I5 6500 Gigabyte z170xp-SLI Nvidia 970gtx Corsair 16gb ddr4 2666mhz  
Hard DriveOS
250gb Samsung Evo 850 Windows 10 & Ubuntu 15.10 
  hide details  
Reply
post #3 of 3
Follow Transhour's instructions above. The error you are receiving is entirely normal, because you are literally telling it to install a package called "update". I'll break down what you typed in:

sudo: Simply allows you to execute a command/program with elevated privileges.

apt-get: The command/program that you are running, which in this case is the package manager.

install: The first argument sent to the package manager tells it what action you want to perform. If you run "apt-get --help" it will list the main commands that are available to you. "man apt-get" will give you more complete documentation but it might be confusing.

update:
The second and following arguments sent to the package manager are what packages you want to perform the action on. In this case the package you've stated is "update", and you want to install it. Obviously it doesn't exist. smile.gif
    
CPUMotherboardGraphicsRAM
i7 920 D0 MSI X58 Pro-E GTX 560 Ti 448 3x2GB G.Skill DDR3-1333 9-9-9-24 
Hard DriveHard DriveOptical DriveOS
840 Pro Caviar Black LG BD-ROM Windows 8.1 Pro x64 
MonitorMonitorKeyboardPower
Dell U2713HM Dell U2311H Turbo-Trak (Google it :D) Corsair HX-520 
CaseMouseMouse PadAudio
CM690 Mionix Avior 7000 Everglide Titan AKG K 242 HD 
  hide details  
Reply
    
CPUMotherboardGraphicsRAM
i7 920 D0 MSI X58 Pro-E GTX 560 Ti 448 3x2GB G.Skill DDR3-1333 9-9-9-24 
Hard DriveHard DriveOptical DriveOS
840 Pro Caviar Black LG BD-ROM Windows 8.1 Pro x64 
MonitorMonitorKeyboardPower
Dell U2713HM Dell U2311H Turbo-Trak (Google it :D) Corsair HX-520 
CaseMouseMouse PadAudio
CM690 Mionix Avior 7000 Everglide Titan AKG K 242 HD 
  hide details  
Reply
New Posts  All Forums:Forum Nav:
  Return Home
  Back to Forum: Linux, Unix
Overclock.net › Forums › Software, Programming and Coding › Operating Systems › Linux, Unix › Trying to update Ubuntu 11.10: Unable to locate package update. Help lpease :)